summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2011-08-27 00:40:19 +0200
committer Niels Horn2011-08-27 00:40:19 +0200
commit73146b17ea0b902af362ef285f5360b677f18e7d (patch)
tree9a9a31f54a8b41eb835f6bf3bce916cf3e16a212
parent18894ebd610a25353fcab0e38ffd261f21a10523 (diff)
downloadslackbuilds-73146b17ea0b902af362ef285f5360b677f18e7d.tar.gz
audio/fantasia: Added (Java-based GUI frontend for LinuxSampler)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/fantasia/README1
-rw-r--r--audio/fantasia/doinst.sh10
-rw-r--r--audio/fantasia/fantasia.SlackBuild63
-rw-r--r--audio/fantasia/fantasia.desktop9
-rw-r--r--audio/fantasia/fantasia.info10
-rw-r--r--audio/fantasia/slack-desc19
6 files changed, 112 insertions, 0 deletions
diff --git a/audio/fantasia/README b/audio/fantasia/README
new file mode 100644
index 0000000000..6abf3eafbc
--- /dev/null
+++ b/audio/fantasia/README
@@ -0,0 +1 @@
+fantasia (Java-based GUI frontend for LinuxSampler)
diff --git a/audio/fantasia/doinst.sh b/audio/fantasia/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/fantasia/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/fantasia/fantasia.SlackBuild b/audio/fantasia/fantasia.SlackBuild
new file mode 100644
index 0000000000..cff3800d05
--- /dev/null
+++ b/audio/fantasia/fantasia.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+# Slackware build script for fantasia
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=fantasia
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=Fantasia
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# Don't really need our own "source" dir, but it makes cleanup easier.
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+# Jar file
+mkdir -p $PKG/usr/{bin,share/$PRGNAM}
+install -m0644 -oroot -groot $CWD/$SRCNAM-$VERSION.jar $PKG/usr/share/$PRGNAM
+
+# Shell script wrapper
+cat <<EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+exec java -jar /usr/share/$PRGNAM/$SRCNAM-$VERSION.jar
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+# Stick the icon where it goes
+unzip -j $CWD/$SRCNAM-$VERSION.jar \
+ org/jsampler/view/fantasia/res/icons/LinuxSampler-logo.png
+mkdir -p $PKG/usr/share/pixmaps
+install -m0644 -oroot -groot LinuxSampler-logo.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file written by SlackBuild author
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# No real docs ship with this app, but here ya go:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/fantasia/fantasia.desktop b/audio/fantasia/fantasia.desktop
new file mode 100644
index 0000000000..d4226b6971
--- /dev/null
+++ b/audio/fantasia/fantasia.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=Fantasia
+Comment=LinuxSampler GUI
+Exec=fantasia
+Icon=fantasia
+Terminal=false
+Type=Application
+Categories=Audio;AudioVideo;
diff --git a/audio/fantasia/fantasia.info b/audio/fantasia/fantasia.info
new file mode 100644
index 0000000000..804fde37b0
--- /dev/null
+++ b/audio/fantasia/fantasia.info
@@ -0,0 +1,10 @@
+PRGNAM="fantasia"
+VERSION="0.9"
+HOMEPAGE="http://www.linuxsampler.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/jsampler/Fantasia/Fantasia%200.9/Fantasia-0.9.jar"
+DOWNLOAD_x86_64=""
+MD5SUM="55f781785224cf7fc1c5999b683f9577"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/fantasia/slack-desc b/audio/fantasia/slack-desc
new file mode 100644
index 0000000000..9f5627ae18
--- /dev/null
+++ b/audio/fantasia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fantasia: fantasia (Java-based GUI frontend for LinuxSampler)
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia:
+fantasia: